classification
Title: Spelling mistakes found using aspell
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, rhettinger, serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2018-06-14 12:09 by xtreak, last changed 2018-07-13 09:51 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7691 merged xtreak, 2018-06-14 12:12
PR 7748 merged miss-islington, 2018-06-16 05:09
PR 7750 merged xtreak, 2018-06-16 05:52
Messages (7)
msg319510 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-06-14 12:09
I have found some typos in docs folder using aspell. I have fixed them. The changes are as below : 

Doc/library/codecs.rst - cypher - cipher
Doc/library/email.rst - Protcol - Protocol
Doc/library/importlib.rst - abstact - abstract
Doc/library/xmlrpc.client.rst - unmarsalling - unmarshalling
Doc/license.rst - aheared to - adhered to
Doc/using/cmdline.rst - descibed - described
Doc/whatsnew/3.3.rst - accumlated - accumulated
Doc/whatsnew/3.6.rst - Lollilop - Lollipop
Doc/whatsnew/3.7.rst - direcory - directory

Find typos - 

find . -iname '*rst' | xargs -I{} sh -c "aspell --master=en_US --extra-dicts=en_GB --ignore 3 list < {}" | sort | uniq > typos.txt

Ignore case

tr '[:upper:]' '[:lower:]' < typos.txt | sort | uniq | less

This requires manually looking at output of less and then making changes.
msg319715 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-16 05:08
New changeset c151f7846d6d900c22edaaa77f5f7771b529099e by Serhiy Storchaka (Xtreak) in branch 'master':
bpo-33859: Fix spelling mistakes in docs. (GH-7691)
https://github.com/python/cpython/commit/c151f7846d6d900c22edaaa77f5f7771b529099e
msg319718 - (view) Author: miss-islington (miss-islington) Date: 2018-06-16 05:26
New changeset 416e488415cacec98778da11da401c1b94d92c10 by Miss Islington (bot) in branch '3.7':
bpo-33859: Fix spelling mistakes in docs. (GH-7691)
https://github.com/python/cpython/commit/416e488415cacec98778da11da401c1b94d92c10
msg319720 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-16 06:33
New changeset c5ff553ae717c33f86d4fa984ee92de71c467f2a by Serhiy Storchaka (Xtreak) in branch '3.6':
[3.6] bpo-33859: Fix spelling mistakes in docs. (GH-7691). (GH-7750)
https://github.com/python/cpython/commit/c5ff553ae717c33f86d4fa984ee92de71c467f2a
msg319721 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-06-16 06:42
Thanks for finding these mistakes :-)
msg319722 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-06-16 07:06
Thanks much @rhettinger and the team for all the work on documentation. This is my first patch and I am pretty amazed at the smooth experience for a beginner like me with GitHub and helpful bots. I hope to contribute more.

Just wanted to leave a note that this was inspired by the Rust book's work where they have a CI running with aspell to make sure that there are no spelling mistakes in the book. It would require a personal dictionary where all the valid words have to be added. I think given the rate of documentation changes that go into the repository having a personal dictionary will result in merge conflicts and not a feasible option but I just want to put this idea here. The initial work requires me to a manual scan of 10k words and hence I might have missed some words or assumed some spellings as correct. I think this can be used for code comments as well but would require even more attention since the dictionary file will be large.

Reference : https://github.com/rust-lang/book/blob/a5c9f1f9fbcda0a6e16ea80e64452b33006f4127/ci/spellcheck.sh#L56

Command to generate a personal file : 

cd Docs && find . -iname '*rst' | xargs -I{} sh -c "aspell --master=en_US --extra-dicts=en_GB --ignore 3 list < {}" | sort | uniq > typos.txt

typos.txt : https://gist.github.com/tirkarthi/d49ac3fdce93c1e3ab4b85b5e1c82b49

Thanks again :)
msg321587 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-07-13 09:51
Closing this since the related PRs are merged.
History
Date User Action Args
2018-07-13 09:51:19xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg321587

stage: patch review -> resolved
2018-06-16 07:06:20xtreaksetmessages: + msg319722
2018-06-16 06:42:59rhettingersetnosy: + rhettinger
messages: + msg319721
2018-06-16 06:33:21serhiy.storchakasetmessages: + msg319720
2018-06-16 05:52:13xtreaksetpull_requests: + pull_request7358
2018-06-16 05:26:41miss-islingtonsetnosy: + miss-islington
messages: + msg319718
2018-06-16 05:09:46miss-islingtonsetpull_requests: + pull_request7356
2018-06-16 05:08:34serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg319715
2018-06-14 12:12:54xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request7304
2018-06-14 12:09:39xtreakcreate